Bug 273418 - KDevelop crashes with segfault when CMakeLists.txt is changed [KDevelop::ImportProjectJob::ImportProjectJob, ..., CMakeManager::dirtyFile]
Summary: KDevelop crashes with segfault when CMakeLists.txt is changed [KDevelop::Impo...
Status: RESOLVED DUPLICATE of bug 293191
Alias: None
Product: kdevelop
Classification: Unclassified
Component: Build tools: CMake (show other bugs)
Version: unspecified
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: 4.2.0
Assignee: kdevelop-bugs-null
URL:
Keywords:
: 314452 322376 (view as bug list)
Depends on:
Blocks:
 
Reported: 2011-05-16 15:36 UTC by Andrei Vinokurov
Modified: 2013-07-15 07:51 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (12.80 KB, text/plain)
2011-05-27 00:01 UTC, David
Details
Sample project to trigger the crash with src/model/CMakeLists.txt (40.36 KB, application/x-bzip)
2012-02-18 17:05 UTC, Torbjörn K.
Details
New crash information added by DrKonqi (13.87 KB, text/plain)
2012-07-11 20:47 UTC, svanur
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrei Vinokurov 2011-05-16 15:36:12 UTC
Application: kdevelop (4.2.2)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.35.13-91.fc14.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
The opened project is cmake-based. Should any CMakeLists.txt be changed by any means (added a class with the KDevelop refactoring, hand-edited it in KDevelop or external editor), KDevelop immidiately crashes with a segfault.

The crash can be reproduced every time.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
[Current thread is 1 (Thread 0x7fd7a58a8840 (LWP 7466))]

Thread 11 (Thread 0x7fd7974d0700 (LWP 7467)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:216
#1  0x0000003c280744e2 in wait (this=<value optimized out>, mutex=0x30c9cd0, time=1000) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x30c9cd0, time=1000) at thread/qwaitcondition_unix.cpp:160
#3  0x000000339e6ae7fb in KDevelop::DUChainPrivate::CleanupThread::run() () from /usr/lib64/libkdevplatformlanguage.so.3
#4  0x0000003c28073e95 in QThreadPrivate::start (arg=0x30c9cb0) at thread/qthread_unix.cpp:320
#5  0x0000003729206ccb in start_thread (arg=0x7fd7974d0700) at pthread_create.c:301
#6  0x0000003728ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7fd795dd7700 (LWP 7469)):
#0  g_main_context_iteration (context=0x7fd7880009b0, may_block=1) at gmain.c:2843
#1  0x0000003c281883a6 in QEventDispatcherGlib::processEvents (this=0x7fd7880008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#2  0x0000003c2815c532 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#3  0x0000003c2815c77c in QEventLoop::exec (this=0x7fd795dd6d00, flags=...) at kernel/qeventloop.cpp:201
#4  0x0000003c280715f4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#5  0x0000003c2813de08 in QInotifyFileSystemWatcherEngine::run (this=0x3958b20) at io/qfilesystemwatcher_inotify.cpp:248
#6  0x0000003c28073e95 in QThreadPrivate::start (arg=0x3958b20) at thread/qthread_unix.cpp:320
#7  0x0000003729206ccb in start_thread (arg=0x7fd795dd7700) at pthread_create.c:301
#8  0x0000003728ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7fd78d318700 (LWP 7474)):
#0  0x0000003729208fd0 in __pthread_mutex_lock (mutex=0x7fd7740009b8) at pthread_mutex_lock.c:61
#1  0x000000372aa416e3 in g_main_context_query (context=0x7fd7740009b0, max_priority=2147483647, timeout=0x7fd78d317be8, fds=0x7fd7740024a0, n_fds=2) at gmain.c:2529
#2  0x000000372aa4227b in g_main_context_iterate (context=0x7fd7740009b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2762
#3  0x000000372aa428ad in g_main_context_iteration (context=0x7fd7740009b0, may_block=1) at gmain.c:2843
#4  0x0000003c281883a6 in QEventDispatcherGlib::processEvents (this=0x7fd7740008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x0000003c2815c532 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003c2815c77c in QEventLoop::exec (this=0x7fd78d317d00, flags=...) at kernel/qeventloop.cpp:201
#7  0x0000003c280715f4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x0000003c2813de08 in QInotifyFileSystemWatcherEngine::run (this=0x39a8170) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x0000003c28073e95 in QThreadPrivate::start (arg=0x39a8170) at thread/qthread_unix.cpp:320
#10 0x0000003729206ccb in start_thread (arg=0x7fd78d318700) at pthread_create.c:301
#11 0x0000003728ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7fd77bfff700 (LWP 7482)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003c2807457b in wait (this=<value optimized out>, mutex=0x39abdb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x39abdb0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x0000003c3360a0b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x39ad870, th=0x399d150) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003c3360c743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x39aa590, th=0x399d150) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003c3360b52f in ThreadWeaver::ThreadRunHelper::run (this=0x7fd77bffed50, parent=0x39ad870, th=0x399d150) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/Thread.cpp:87
#6  0x0000003c3360b5b8 in ThreadWeaver::Thread::run (this=0x399d150) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/Thread.cpp:142
#7  0x0000003c28073e95 in QThreadPrivate::start (arg=0x399d150) at thread/qthread_unix.cpp:320
#8  0x0000003729206ccb in start_thread (arg=0x7fd77bfff700) at pthread_create.c:301
#9  0x0000003728ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7fd76f234700 (LWP 7548)):
#0  0x0000003728ad7283 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x000000372aa42374 in g_main_context_poll (context=0x7fd7680009b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:3093
#2  g_main_context_iterate (context=0x7fd7680009b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2775
#3  0x000000372aa428ad in g_main_context_iteration (context=0x7fd7680009b0, may_block=1) at gmain.c:2843
#4  0x0000003c281883a6 in QEventDispatcherGlib::processEvents (this=0x7fd7680008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#5  0x0000003c2815c532 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003c2815c77c in QEventLoop::exec (this=0x7fd76f233d40, flags=...) at kernel/qeventloop.cpp:201
#7  0x0000003c280715f4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#8  0x0000003c28073e95 in QThreadPrivate::start (arg=0x3c03610) at thread/qthread_unix.cpp:320
#9  0x0000003729206ccb in start_thread (arg=0x7fd76f234700) at pthread_create.c:301
#10 0x0000003728ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fd76ea33700 (LWP 7549)):
#0  0x000000372920c218 in __pthread_getspecific (key=0) at pthread_getspecific.c:33
#1  0x0000003c28073f61 in get_thread_data () at thread/qthread_unix.cpp:161
#2  QThreadData::current () at thread/qthread_unix.cpp:199
#3  0x0000003c28187df9 in postEventSourcePrepare (s=0x7fd760001320, timeout=0x0) at kernel/qeventdispatcher_glib.cpp:254
#4  0x000000372aa41ab8 in g_main_context_check (context=0x7fd7600009b0, max_priority=2147483647, fds=<value optimized out>, n_fds=<value optimized out>) at gmain.c:2658
#5  0x000000372aa42392 in g_main_context_iterate (context=0x7fd7600009b0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2777
#6  0x000000372aa428ad in g_main_context_iteration (context=0x7fd7600009b0, may_block=1) at gmain.c:2843
#7  0x0000003c281883a6 in QEventDispatcherGlib::processEvents (this=0x7fd7600008c0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#8  0x0000003c2815c532 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#9  0x0000003c2815c77c in QEventLoop::exec (this=0x7fd76ea32d40, flags=...) at kernel/qeventloop.cpp:201
#10 0x0000003c280715f4 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#11 0x0000003c28073e95 in QThreadPrivate::start (arg=0x3c15fd0) at thread/qthread_unix.cpp:320
#12 0x0000003729206ccb in start_thread (arg=0x7fd76ea33700) at pthread_create.c:301
#13 0x0000003728ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7fd7654f1700 (LWP 7559)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003c30192bb4 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0x3c304aad80) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#2  0x0000003c30192be9 in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0x3c304b8e54) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#3  0x0000003729206ccb in start_thread (arg=0x7fd7654f1700) at pthread_create.c:301
#4  0x0000003728ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fd75ffff700 (LWP 7569)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00000033a1728944 in scavengerThread (context=0x33a1f458e0) at wtf/FastMalloc.cpp:2378
#2  WTF::TCMalloc_PageHeap::runScavengerThread (context=0x33a1f458e0) at wtf/FastMalloc.cpp:1497
#3  0x0000003729206ccb in start_thread (arg=0x7fd75ffff700) at pthread_create.c:301
#4  0x0000003728ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fd75e935700 (LWP 7570)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003c2807457b in wait (this=<value optimized out>, mutex=0x2100cf0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2100cf0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x0000003c3360a0b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x21ce8d0, th=0x5fb4810) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003c3360c743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x20fdb40, th=0x5fb4810) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003c3360c75c in ThreadWeaver::WorkingHardState::applyForWork (this=0x20fdb40, th=0x5fb4810) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x0000003c3360b52f in ThreadWeaver::ThreadRunHelper::run (this=0x7fd75e934d50, parent=0x21ce8d0, th=0x5fb4810) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/Thread.cpp:87
#7  0x0000003c3360b5b8 in ThreadWeaver::Thread::run (this=0x5fb4810) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/Thread.cpp:142
#8  0x0000003c28073e95 in QThreadPrivate::start (arg=0x5fb4810) at thread/qthread_unix.cpp:320
#9  0x0000003729206ccb in start_thread (arg=0x7fd75e935700) at pthread_create.c:301
#10 0x0000003728ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7fd75e134700 (LWP 7571)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x0000003c2807457b in wait (this=<value optimized out>, mutex=0x2100cf0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x2100cf0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x0000003c3360a0b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x21ce8d0, th=0x60797f0) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x0000003c3360c743 in ThreadWeaver::WorkingHardState::applyForWork (this=0x20fdb40, th=0x60797f0) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x0000003c3360b52f in ThreadWeaver::ThreadRunHelper::run (this=0x7fd75e133d50, parent=0x21ce8d0, th=0x60797f0) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/Thread.cpp:87
#6  0x0000003c3360b5b8 in ThreadWeaver::Thread::run (this=0x60797f0) at /usr/src/debug/kdelibs-4.6.2/threadweaver/Weaver/Thread.cpp:142
#7  0x0000003c28073e95 in QThreadPrivate::start (arg=0x60797f0) at thread/qthread_unix.cpp:320
#8  0x0000003729206ccb in start_thread (arg=0x7fd75e134700) at pthread_create.c:301
#9  0x0000003728ae0c2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7fd7a58a8840 (LWP 7466)):
[KCrash Handler]
#6  KDevelop::ProjectBaseItem::project() const () at /usr/src/debug/kdevplatform-1.2.2/project/projectmodel.cpp:358
#7  0x000000339e21e5ea in KDevelop::ImportProjectJob::ImportProjectJob (this=0x5de9910, folder=0x0, importer=0x3970c98) at /usr/src/debug/kdevplatform-1.2.2/project/importprojectjob.cpp:70
#8  0x000000339e22b554 in KDevelop::IProjectFileManager::createImportJob (this=0x3970c98, item=0x0) at /usr/src/debug/kdevplatform-1.2.2/project/interfaces/iprojectfilemanager.cpp:34
#9  0x00007fd79620f7c7 in CMakeManager::reimport (this=0x3970c70, fi=0x0) at /usr/src/debug/kdevelop-4.2.2/projectmanagers/cmake/cmakemanager.cpp:695
#10 0x00007fd79620f9a4 in CMakeManager::reload (this=0x3970c70, folder=<value optimized out>) at /usr/src/debug/kdevelop-4.2.2/projectmanagers/cmake/cmakemanager.cpp:689
#11 0x00007fd79620ee1a in CMakeManager::dirtyFile (this=0x3970c70, dirty=<value optimized out>) at /usr/src/debug/kdevelop-4.2.2/projectmanagers/cmake/cmakemanager.cpp:799
#12 0x00007fd796210269 in CMakeManager::qt_metacall (this=0x3970c70, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff91dae5f0) at /usr/src/debug/kdevelop-4.2.2/x86_64-redhat-linux-gnu/projectmanagers/cmake/cmakemanager.moc:96
#13 0x0000003c28171acf in QMetaObject::activate (sender=0x1fc07f0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff91dae5f0) at kernel/qobject.cpp:3278
#14 0x0000003399514292 in KDirWatch::dirty (this=<value optimized out>, _t1=<value optimized out>) at /usr/src/debug/kdelibs-4.6.2/x86_64-redhat-linux-gnu/kdecore/kdirwatch.moc:99
#15 0x0000003399514551 in KDirWatch::qt_metacall (this=0x1fc07f0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x54df1e0) at /usr/src/debug/kdelibs-4.6.2/x86_64-redhat-linux-gnu/kdecore/kdirwatch.moc:86
#16 0x0000003c281715ca in QObject::event (this=0x1fc07f0, e=<value optimized out>) at kernel/qobject.cpp:1217
#17 0x0000003c299b7cd4 in QApplicationPrivate::notify_helper (this=0x1e95e10, receiver=0x1fc07f0, e=0x62f34f0) at kernel/qapplication.cpp:4462
#18 0x0000003c299bc88a in QApplication::notify (this=<value optimized out>, receiver=0x1fc07f0, e=0x62f34f0) at kernel/qapplication.cpp:4341
#19 0x000000339a03ff96 in KApplication::notify (this=0x7fff91daf330, receiver=0x1fc07f0, event=0x62f34f0) at /usr/src/debug/kdelibs-4.6.2/kdeui/kernel/kapplication.cpp:311
#20 0x0000000000404d39 in KDevelopApplication::notify (this=0x7fff91daf330, receiver=0x1fc07f0, event=0x62f34f0) at /usr/src/debug/kdevelop-4.2.2/app/main.cpp:90
#21 0x0000003c2815d19c in QCoreApplication::notifyInternal (this=0x7fff91daf330, receiver=0x1fc07f0, event=0x62f34f0) at kernel/qcoreapplication.cpp:731
#22 0x0000003c28160985 in sendEvent (receiver=0x0, event_type=0, data=0x1e6c580) at kernel/qcoreapplication.h:215
#23 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x1e6c580) at kernel/qcoreapplication.cpp:1372
#24 0x0000003c281881b3 in sendPostedEvents (s=0x1e9b580) at kernel/qcoreapplication.h:220
#25 postEventSourceDispatch (s=0x1e9b580) at kernel/qeventdispatcher_glib.cpp:277
#26 0x000000372aa41e33 in g_main_dispatch (context=0x1e9b4a0) at gmain.c:2149
#27 g_main_context_dispatch (context=0x1e9b4a0) at gmain.c:2702
#28 0x000000372aa42610 in g_main_context_iterate (context=0x1e9b4a0, block=1, dispatch=1, self=<value optimized out>) at gmain.c:2780
#29 0x000000372aa428ad in g_main_context_iteration (context=0x1e9b4a0, may_block=1) at gmain.c:2843
#30 0x0000003c2818834f in QEventDispatcherGlib::processEvents (this=0x1e6bd60, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#31 0x0000003c29a5d35e in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:207
#32 0x0000003c2815c532 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#33 0x0000003c2815c77c in QEventLoop::exec (this=0x7fff91daeff0, flags=...) at kernel/qeventloop.cpp:201
#34 0x0000003c28160c3b in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#35 0x000000000040b57b in main (argc=<value optimized out>, argv=0x7fff91db11d8) at /usr/src/debug/kdevelop-4.2.2/app/main.cpp:467

Reported using DrKonqi
Comment 1 David 2011-05-27 00:01:53 UTC
Created attachment 60363 [details]
New crash information added by DrKonqi

kdevelop (4.2.60) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

I modified a CMakeLists.txt file in my project and KDevelop crashed. Note that not all CMakeLists.txt files in the project crash KDevelop when modified.

-- Backtrace (Reduced):
#7  0x08704503 in CMakeManager::dirtyFile (this=0x967aea8, dirty=...) at /home/doriad/src/kdevelop/projectmanagers/cmake/cmakemanager.cpp:783
#8  0x087057a5 in CMakeManager::qt_metacall (this=0x967aea8, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0xbf998db8) at /home/doriad/build/kdevelop/projectmanagers/cmake/cmakemanager.moc:96
[...]
#11 0x004f2cf3 in KDirWatch::dirty(QString const&) () from /usr/lib/libkdecore.so.5
#12 0x004f2d24 in KDirWatch::setDirty(QString const&) () from /usr/lib/libkdecore.so.5
#13 0x004f3045 in KDirWatch::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib/libkdecore.so.5
Comment 2 Milian Wolff 2011-05-27 17:14:09 UTC
Aleix? Any knowledge on this one?

@reporters: Can you upload/attach a simple project with which you can reliably trigger this crash?
Comment 3 Aleix Pol 2011-05-27 17:28:56 UTC
It's probably the same problem as yours...

I'll try to refactor cmake's code to see if we can sort that one out during the sprint :)

I'm not marking as duplicate as a hope there's some way this bug report can lead to a specific reproducible use case.
Comment 4 Milian Wolff 2011-08-28 13:34:39 UTC
@ reporter: please attach a sample project if this issue is still reproducible.
Comment 5 Torbjörn K. 2012-02-18 17:05:37 UTC
Created attachment 68907 [details]
Sample project to trigger the crash with src/model/CMakeLists.txt

This sample project (which has got some errors and issues with the CMakeLists files) triggers the described crash on edit of the src/model/CMakeLists.txt file.

kdevelop --version
Qt: 4.8.0
KDE: 4.8.00 (4.8.0 "release 462"
KDevelop: 4.3.60

On openSUSE 11.4 64bit. KDE, Qt and KDevelop installed through official openSUSE repos.
Comment 6 Milian Wolff 2012-02-23 12:27:43 UTC
aleix, can you look at it?
Comment 7 Aleix Pol 2012-02-24 01:00:50 UTC
Git commit 8d065ddcd7f0e817b0cde283d10ab66a7449cf27 by Aleix Pol.
Committed on 24/02/2012 at 01:59.
Pushed by apol into branch 'master'.

add an assert to make sure what were re-importing makes sense.

M  +1    -0    projectmanagers/cmake/cmakemanager.cpp

http://commits.kde.org/kdevelop/8d065ddcd7f0e817b0cde283d10ab66a7449cf27
Comment 8 Aleix Pol 2012-02-24 01:06:31 UTC
I'm terribly sorry, but I can't reproduce it.
Can you try it with master?
Comment 9 svanur 2012-07-11 20:47:29 UTC
Created attachment 72464 [details]
New crash information added by DrKonqi

kdevelop (4.3.1) on KDE Platform 4.8.4 (4.8.4) using Qt 4.8.2

Using external perforce client - checked out CMakeLists.txt (causing file touch)

-- Backtrace (Reduced):
#7  0xac697c99 in CMakeManager::dirtyFile (this=0x91e0768, dirty=...) at /usr/src/debug/kdevelop-4.3.1/projectmanagers/cmake/cmakemanager.cpp:1149
[...]
#9  0x44165616 in KDirWatch::dirty (this=this@entry=0x9077248, _t1=...) at /usr/src/debug/kdelibs-4.8.4/i686-redhat-linux-gnu/kdecore/kdirwatch.moc:112
#10 0x44165644 in KDirWatch::setDirty (this=this@entry=0x9077248, _file=...) at /usr/src/debug/kdelibs-4.8.4/kdecore/io/kdirwatch.cpp:1890
#11 0x44165964 in qt_static_metacall (_a=0xa7f3858, _id=4, _o=0x9077248, _c=<optimized out>) at /usr/src/debug/kdelibs-4.8.4/i686-redhat-linux-gnu/kdecore/kdirwatch.moc:62
#12 KDirWatch::qt_static_metacall (_o=0x9077248, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xa7f3858) at /usr/src/debug/kdelibs-4.8.4/i686-redhat-linux-gnu/kdecore/kdirwatch.moc:52
Comment 10 Aleix Pol 2012-10-28 18:31:44 UTC

*** This bug has been marked as a duplicate of bug 293191 ***
Comment 11 Kevin Funk 2013-02-05 12:01:59 UTC
*** Bug 314452 has been marked as a duplicate of this bug. ***
Comment 12 Kevin Funk 2013-07-15 07:23:50 UTC
*** Bug 322376 has been marked as a duplicate of this bug. ***
Comment 13 András Manţia 2013-07-15 07:36:26 UTC
Hm, I run Kdevelop master, so this can't be fixed in 2012. :)
Comment 14 Kevin Funk 2013-07-15 07:44:56 UTC
It's not fixed, it's a duplicate of bug 293191 (which is a major issue, and not trivially fixable).
Comment 15 András Manţia 2013-07-15 07:51:20 UTC
AH, I didn't notice the duplicate (this) is also a duplicate (of 293191). :)